;*****************************************************************************
;
; Subroutines available:
; HEX2ASC:
;	Converts the low nibble in W to its ASCII representation
; 	and returns the result in W
; BYT2HEX:
;	Converts the byte in W to it's Hexadecimal Ascii representation
;	returns the result in (SCRATCH+1) and (SCRATCH+2)
;
HEX2ASC		andlw	0x0F
		movwf	SCRATCH
		sublw	9
		btfss	STATUS,C	; carry set if W < 0x0A
		goto	H2A_add37
		goto	H2A_add30
H2A_add37	movf	SCRATCH,W
		addlw	0x37
		return
H2A_add30	movf	SCRATCH,W
		addlw	0x30
		return
			
BYT2HEX		movwf	(SCRATCH+1)
		call	HEX2ASC
		movwf	(SCRATCH+2)	; Low nibble
		swapf	(SCRATCH+1),w
		call	HEX2ASC
		movwf	(SCRATCH+1)	; High nibble
		return
